%define debug 0
%define final 1
%define disable_gcc_check_and_hidden_visibility 1

%define make_cvs 0

%define qt_version 3.3.4

Version: 3.5.3
Release: 0.1.fc4
Epoch: 1
Summary: K Desktop Environment - Accessibility
Name: kdeaccessibility
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Patch: kde-libtool.patch

Requires: kdebase >= 6:%{version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: kdebase-devel >= 6:%{version}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: perl

%description
Included with this package are:
kmag, a screen magnifier,
kmousetool, a program for people whom it hurts to click the mouse,
KMouth, program that allows people who have lost their voice
to let their computer speak for them.

%package devel
Summary: Development files for kdeaccessibility
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel

%description devel
Development files for the kdeaccessibility libraries.
Install kdeaccessibility-devel if you wish to develop or compile for the
KDE desktop.

%prep
%setup -q
%patch -p1 -b .libtool

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%if %{make_cvs}
 make -f admin/Makefile.common cvs
%endif

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
%if %{disable_gcc_check_and_hidden_visibility}
   --disable-gcc-hidden-visibility \
%endif
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde \
   --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# Make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
      ln -sf ../common %{buildroot}%{_docdir}/HTML/en/$i
   fi
done
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/icons/mono/index.theme
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applnk/Applications/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/icons/*/*/*/*
%{_libdir}/*.la
%{_libdir}/*.so.*
%{_libdir}/kde?/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/lib*.so

%changelog
* Sat Jun 10 2006 Than Ngo <than@redhat.com> 1:3.5.3-0.1.fc4
- update to 3.5.3

* Tue Apr 11 2006 Than Ngo <than@redhat.com> 1:3.5.2-0.1.fc4
- update to 3.5.2

* Wed Feb 01 2006 Than Ngo <than@redhat.com> 1:3.5.1-0.1.fc4
- 3.5.1

* Thu Dec 08 2005 Than Ngo <than@redhat.com> 1:3.5.0-0.1.fc4
- 3.5

* Wed Jul 27 2005 Than Ngo <than@redhat.com> 1:3.4.2-0.fc4.1
- update to 3.4.2

* Thu Jun 16 2005 Than Ngo <than@redhat.com> 1:3.4.1-0.fc4.1
- 3.4.1

* Wed Mar 16 2005 Than Ngo <than@redhat.com> 1:3.4.0-1
- KDE 3.4.0 final

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Sun Feb 20 2005 Than Ngo <than@redhat.com> 1:3.3.92-0.1
- KDE 3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Fri Jun 04 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.1
- update to 3.2.3

* Mon Apr 12 2004 Than Ngo <than@redhat.com> 1:3.2.2-0.1
- 3.2.2 release

* Sat Mar 06 2004 Than Ngo <than@redhat.com> 1:3.2.1-0.1
- 3.2.1 release

* Fri Feb 06 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.2
- rebuilt against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.1
- 3.2.0 release

* Sun Dec 07 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta 2

* Sat Nov 15 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- initial rpm for Fedora
